# generator-isocket-cortex [![Build Status](https://secure.travis-ci.org/isocket/generator-isocket-cortex.png?branch=master)](https://travis-ci.org/isocket/generator-isocket-cortex)


> [Yeoman](http://yeoman.io) generator for iSocket Cortex modules


## Getting Started

### What is Yeoman?

Trick question. It's not a thing. It's this guy:

![yeoman](http://i.imgur.com/JHaAlBJ.png)

Basically, he wears a top hat, lives in your computer, and waits for you to tell him what kind of application you wish to create.

Not every new computer comes with a Yeoman pre-installed. He lives in the [npm](https://npmjs.org) package repository. You only have to ask for him once, then he packs up and moves into your hard drive. *Make sure you clean up, he likes new and shiny things.*

```bash
npm install -g yo
```

### Yeoman Generators

Yeoman travels light. He didn't pack any generators when he moved in. You can think of a generator like a plug-in. You get to choose what type of application you wish to create, such as a Backbone application or even a Chrome extension.

To install `generator-isocket-cortex` from npm, run:

```bash
npm install -g generator-isocket-cortex
```

Finally, initiate the generator inside a new project directory:

```bash
yo isocket-cortex
```

### Getting To Know Yeoman

Yeoman has a heart of gold. He's a person with feelings and opinions, but he's very easy to work with. If you think he's too opinionated, he can be easily convinced.

If you'd like to get to know Yeoman better and meet some of his friends, [Grunt](http://gruntjs.com) and [Bower](http://bower.io), check out the complete [Getting Started Guide](https://github.com/yeoman/yeoman/wiki/Getting-Started).


## Setting Up Hooks

Once you've generated your project, you'll probably want to connect [travis-ci](https://travis-ci.org/) for CI and [coveralls](https://coveralls.io/) for tracking test coverage.

1. [Activate GitHub Webhook](http://docs.travis-ci.com/user/getting-started/#Step-two%3A-Activate-GitHub-Webhook) on travis-ci
2. [Add Repo](https://coveralls.io/repos/new) on coveralls
3. [Add coveralls repo token as environment variable](http://docs.travis-ci.com/user/environment-variables/#Using-Settings) in travis-ci
4. Push some code to verify your jobs ran successfully

## Testing

### CI

```
npm test
```

### HTML Coverage

```
npm run test-cov-html
```

### Fast

```
npm run test-fast
```

### Test with Linting

```
npm run test-lint
```
